Page MenuHome

Compositor: File output node sockets
ClosedPublic

Authored by Jeroen Bakker (jbakker) on May 24 2019, 2:23 PM.

Details

Summary

When using RNA to alter the type of socket only the type was changed.
the typeinfo was not updated. Internally the File Output Node used RNA
to update the sockettype. making the socket invalid. When users save the
file and reopened the typeinfo was used. Also the color of the node was
determined via the typeinfo.

Another thing that happened was that the socket conversion was ignored when empty node groups were present. The empty node groups were optimized away before the needed data conversion was determined.

Diff Detail

Repository
rB Blender

Event Timeline

Jeroen Bakker (jbakker) retitled this revision from Compositor: File output node sockets to Compositor: File output node sockets (WIP).May 24 2019, 2:26 PM
Jeroen Bakker (jbakker) edited the summary of this revision. (Show Details)May 24 2019, 2:33 PM
Jeroen Bakker (jbakker) edited the summary of this revision. (Show Details)
Jeroen Bakker (jbakker) retitled this revision from Compositor: File output node sockets (WIP) to Compositor: File output node sockets.May 28 2019, 9:45 AM
This revision is now accepted and ready to land.Jun 17 2019, 3:32 PM
This revision was automatically updated to reflect the committed changes.